#
# Nano-X for MSDOS Makefile Microsoft C 5.10
#
# Copyright (c) 1999 Greg Haerr <greg@censoft.com>
#
CC=cl -c -Gs -Ols -AM -Ic:\tools\msc5\include
CFLAGS=-W1 -DGS_NONETWORK=1
LFLAGS=/NOI
LIBDIR=c:\tools\msc5

SERV=srvmain.obj srvfunc.obj srvutil.obj srvevent.obj \
	srvdraw.obj srvmouse.obj srvkbd.obj srvclip.obj
VGA_NEW=drivers\vgaplan4.obj
VGA_OLD=drivers\asmplan4.obj
VGA_HWINIT=drivers\vgainit.obj
DRIVERS=drivers\scr_bios.obj drivers\kbd_bios.obj drivers\mou_dos.obj\
	drivers\asmbios.obj $(VGA_NEW)
DEMO=..\examples\demo.obj stubs.obj
xDEMO=..\examples\landmine.obj stubs.obj
xDEMO=..\examples\world.obj stubs.obj
OBJS=$(SERV) $(DRIVERS) $(DEMO)
LIBS=

all: nanox

clean:
	erase *.obj
	erase *.map
	erase nanox.exe
	erase drivers\*.obj

.c.obj:
	$(CC) $(CFLAGS) -Fo$@ $<

drivers\asmbios.obj: drivers\asmbios.s
	cd drivers
	masm -Dmem_S -D__MEDIUM__ -Mx asmbios.s;;;
	cd ..

drivers\asmplan4.obj: drivers\asmplan4.s
	cd drivers
	masm -Dmem_S -D__MEDIUM__ -Mx asmplan4.s;;;
	cd ..

nanox: $(OBJS)
	@set LIB=$(LIBDOS)
	link @<<
$(LFLAGS) /NOE+
$(OBJS: =+^
)
nanox
nanox/map/stack:16384/seg:256/f/packc:50000
$(LIBS) $(LIBDIR)\mlibce
nul
<<

